<?php
	class Cliente{
		private $id;
		private $nombre;
		public function getId(){
			return $this->id;
		}
		public function getNombre(){
			return $this->nombre;
		}
		public function setNombre($nombre){
			$this->nombre = $nombre;
		}
		public function __construct($id, $nombre){
			$this->id = $id;
			$this->nombre = $nombre;
		}
		public function toJSON(){
			$resp = array();
			$resp["id"] = $this->getId();
			$resp["Nombre"] = $this->getNombre();
			return $resp;
		}
		public function esRoot():bool{
			$resp = false;
			if($this->getId() == -1 || $this->getId() == "-1")
				$resp = true;
			return $resp;
		}
	}
?>